Package com.ocient.jdbc

# Class XGConnection.XGConnectionFactory

java.lang.Object
com.ocient.jdbc.XGConnection.XGConnectionFactory

All Implemented Interfaces:
  `org.apache.commons.pool2.KeyedPooledObjectFactory<XGConnectionInfo,​XGConnection>`

Enclosing class:
  XGConnection

    public static class XGConnection.XGConnectionFactory
    extends Object
    implements org.apache.commons.pool2.KeyedPooledObjectFactory<XGConnectionInfo,​XGConnection>

Handles the entire XGConnection lifecycle.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`XGConnectionFactory()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `activateObject​(XGConnectionInfo info, org.apache.commons.pool2.PooledObject<XGConnection> pooledObject)` |
`void` | `destroyObject​(XGConnectionInfo info, org.apache.commons.pool2.PooledObject<XGConnection> pooledObject)` |
`org.apache.commons.pool2.PooledObject<XGConnection>` | `makeObject​(XGConnectionInfo info)` |
`void` | `passivateObject​(XGConnectionInfo info, org.apache.commons.pool2.PooledObject<XGConnection> pooledObject)` |
`boolean` | `validateObject​(XGConnectionInfo info, org.apache.commons.pool2.PooledObject<XGConnection> pooledObject)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.commons.pool2.KeyedPooledObjectFactory

`destroyObject`

## Constructor Details

### XGConnectionFactory

public XGConnectionFactory()

## Method Details

### activateObject

public void activateObject​(XGConnectionInfo info, org.apache.commons.pool2.PooledObject<XGConnection> pooledObject) throws Exception

Specified by:
  `activateObject` in interface `org.apache.commons.pool2.KeyedPooledObjectFactory<XGConnectionInfo,​XGConnection>`
Throws:
  `Exception`

### destroyObject

public void destroyObject​(XGConnectionInfo info, org.apache.commons.pool2.PooledObject<XGConnection> pooledObject) throws Exception

Specified by:
  `destroyObject` in interface `org.apache.commons.pool2.KeyedPooledObjectFactory<XGConnectionInfo,​XGConnection>`
Throws:
  `Exception`

### makeObject

public org.apache.commons.pool2.PooledObject<XGConnection> makeObject​(XGConnectionInfo info) throws Exception

Specified by:
  `makeObject` in interface `org.apache.commons.pool2.KeyedPooledObjectFactory<XGConnectionInfo,​XGConnection>`
Throws:
  `Exception`

### passivateObject

public void passivateObject​(XGConnectionInfo info, org.apache.commons.pool2.PooledObject<XGConnection> pooledObject) throws Exception

Specified by:
  `passivateObject` in interface `org.apache.commons.pool2.KeyedPooledObjectFactory<XGConnectionInfo,​XGConnection>`
Throws:
  `Exception`

### validateObject

public boolean validateObject​(XGConnectionInfo info, org.apache.commons.pool2.PooledObject<XGConnection> pooledObject)

Specified by:
  `validateObject` in interface `org.apache.commons.pool2.KeyedPooledObjectFactory<XGConnectionInfo,​XGConnection>`